<%-- 
    Document   : warenkorb
    Created on : 01.06.2016, 15:46:16
    Author     : dt
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <h1>Warenkorb</h1>

        <table border="1">
            <tr><th>Artikel</th><th>Beschreibung</th><th>Anzahl</th><th>Preis</th><th>Gesamtpreis</th></tr>
        <c:forEach items="${warenkorb}" var="entry">
                <tr>
                    <td>${entry.key}</td>
                    <td>${entry.value.produkt.beschreibung}</td>
                    <td>${entry.value.anzahl}</td>
                    <td><fmt:formatNumber value="${entry.value.produkt.preis/100}" type="currency"/></td>
                    <td><fmt:formatNumber value="${entry.value.produkt.preis/100 * entry.value.anzahl}" type="currency"/></td>
                </tr>
        </c:forEach>
        </table>
        <a href="Controller?action=start">zur&uuml;ck zur Startseite</a>
        <a href="Controller?action=ende">abmelden</a>
    </body>
</html>
